## tig 0.11

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 prefix ?= $(HOME)
 bindir ?= $(prefix)/bin
-mandir ?= $(prefix)/man
 datarootdir ?= $(prefix)/share
+sysconfdir ?= $(prefix)/etc
 docdir ?= $(datarootdir)/doc
+mandir ?= $(datarootdir)/man
 # DESTDIR=
 
 # Get version either via git or from VERSION file. Allow either
@@ -47,10 +48,12 @@
 TARNAME	= tig-$(RPM_VERSION)
 endif
 
-override CFLAGS += '-DTIG_VERSION="$(VERSION)"'
+override CPPFLAGS += '-DTIG_VERSION="$(VERSION)"'
+override CPPFLAGS += '-DSYSCONFDIR="$(sysconfdir)"'
 
 AUTORECONF ?= autoreconf
 ASCIIDOC ?= asciidoc
+ASCIIDOC_FLAGS = -aversion=$(VERSION) -asysconfdir=$(sysconfdir)
 XMLTO ?= xmlto
 DOCBOOK2PDF ?= docbook2pdf
 
@@ -64,25 +67,29 @@
 install: all
 	mkdir -p $(DESTDIR)$(bindir) && \
 	for prog in $(PROGS); do \
-		install -p -m 0755 $$prog $(DESTDIR)$(bindir); \
+		install -p -m 0755 "$$prog" "$(DESTDIR)$(bindir)"; \
 	done
 
 install-doc-man: doc-man
 	mkdir -p $(DESTDIR)$(mandir)/man1 \
 		 $(DESTDIR)$(mandir)/man5
 	for doc in $(MANDOC); do \
+		sed 's#++SYSCONFDIR++#$(sysconfdir)#' < "$$doc" > "$$doc+"; \
 		case "$$doc" in \
-		*.1) install -p -m 0644 $$doc $(DESTDIR)$(mandir)/man1 ;; \
-		*.5) install -p -m 0644 $$doc $(DESTDIR)$(mandir)/man5 ;; \
-		esac \
+		*.1) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man1/$$doc" ;; \
+		*.5) install -p -m 0644 "$$doc+" "$(DESTDIR)$(mandir)/man5/$$doc" ;; \
+		esac; \
+		$(RM) "$$doc+"; \
 	done
 
 install-doc-html: doc-html
 	mkdir -p $(DESTDIR)$(docdir)/tig
 	for doc in $(HTMLDOC); do \
+		sed 's#++SYSCONFDIR++#$(sysconfdir)#' < "$$doc" > "$$doc+"; \
 		case "$$doc" in \
-		*.html) install -p -m 0644 $$doc $(DESTDIR)$(docdir)/tig ;; \
-		esac \
+		*.html) install -p -m 0644 "$$doc+" "$(DESTDIR)$(docdir)/tig/$$doc" ;; \
+		esac; \
+		$(RM) "$$doc+"; \
 	done
 
 install-doc: install-doc-man install-doc-html
@@ -110,7 +117,7 @@
 	tar rf $(TARNAME).tar `find $(TARNAME)/*` && \
 	gzip -f -9 $(TARNAME).tar && \
 	md5sum $(TARNAME).tar.gz > $(TARNAME).tar.gz.md5
-	@rm -rf $(TARNAME)
+	@$(RM) -r $(TARNAME)
 
 rpm: dist
 	rpmbuild -ta $(TARNAME).tar.gz
@@ -122,7 +129,7 @@
 release-doc:
 	git checkout release && \
 	git merge master && \
-	$(MAKE) distclean doc-man doc-html && \
+	$(MAKE) distclean doc-man doc-html sysconfdir=++SYSCONFDIR++ && \
 	git add -f $(MANDOC) $(HTMLDOC) && \
 	git commit -m "Sync docs" && \
 	git checkout master
@@ -152,35 +159,32 @@
 		*)	   ref="$$ref, $$line" ;; \
 		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@
 
-README.html: README
-	$(ASCIIDOC) -b xhtml11 -d article -a readme $<
+README.html: README asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
+
+%.1.html : %.1.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
+
+%.1.xml : %.1.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
+
+%.5.html : %.5.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
+
+%.5.xml : %.5.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d manpage $<
+
+%.html : %.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -n $<
+
+%.xml : %.txt asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b docbook -d article $<
+
+% : %.xml
+	$(XMLTO) man $<
+
+%.html-chunked : %.xml
+	$(XMLTO) html -o $@ $<
 
 %.pdf : %.xml
 	$(DOCBOOK2PDF) $<
-
-%.1.html : %.1.txt
-	$(ASCIIDOC) -b xhtml11 -d manpage $<
-
-%.1.xml : %.1.txt
-	$(ASCIIDOC) -b docbook -d manpage -aversion=$(VERSION) $<
-
-%.1 : %.1.xml
-	$(XMLTO) -m manpage.xsl man $<
-
-%.5.html : %.5.txt
-	$(ASCIIDOC) -b xhtml11 -d manpage $<
-
-%.5.xml : %.5.txt
-	$(ASCIIDOC) -b docbook -d manpage -aversion=$(VERSION) $<
-
-%.5 : %.5.xml
-	$(XMLTO) -m manpage.xsl man $<
-
-%.html : %.txt
-	$(ASCIIDOC) -b xhtml11 -d article -n $<
-
-%.xml : %.txt
-	$(ASCIIDOC) -b docbook -d article $<
-
-%.html-chunked : %.xml
-	$(XMLTO) html -o $@ $<
