## tig 0.14.1

=== Makefile ===
--- 
+++ 
@@ -34,10 +34,11 @@
 
 LDLIBS ?= -lcurses
 CFLAGS ?= -Wall -O2
-DFLAGS	= -g -DDEBUG -Werror
+DFLAGS	= -g -DDEBUG -Werror -O0
 PROGS	= tig
+TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS TODO
 MANDOC	= tig.1 tigrc.5
-HTMLDOC = tig.1.html tigrc.5.html manual.html README.html
+HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
 ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf
 
 # Never include the release number in the tarname for tagged
@@ -99,11 +100,15 @@
 	$(RM) $(PROGS) core *.o *.xml
 
 distclean: clean
-	$(RM) -r manual.html-chunked *.toc $(ALLDOC)
-	$(RM) -r autom4te.cache aclocal.m4 config.{h,log,make,status} config.h.in configure
+	$(RM) -r manual.html-chunked autom4te.cache
+	$(RM) *.toc $(ALLDOC) aclocal.m4 configure
+	$(RM) config.h config.log config.make config.status config.h.in
 
 spell-check:
-	aspell --lang=en --check tig.1.txt tigrc.5.txt manual.txt
+	for file in $(TXTDOC) tig.c; do \
+		aspell --lang=en --dont-backup \
+		       --personal=./contrib/aspell.dict check $$file; \
+	done
 
 strip: $(PROGS)
 	strip $(PROGS)
@@ -124,20 +129,6 @@
 
 configure: configure.ac acinclude.m4
 	$(AUTORECONF) -v
-
-# Maintainer stuff
-release-doc:
-	git checkout release && \
-	git merge master && \
-	$(MAKE) distclean doc-man doc-html sysconfdir=++SYSCONFDIR++ && \
-	git add -f $(MANDOC) $(HTMLDOC) && \
-	git commit -m "Sync docs" && \
-	git checkout master
-
-release-dist: release-doc
-	git checkout release && \
-	$(MAKE) dist && \
-	git checkout master
 
 .PHONY: all all-debug doc doc-man doc-html install install-doc \
 	install-doc-man install-doc-html clean spell-check dist rpm
@@ -161,6 +152,9 @@
 
 README.html: README asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article -a readme $<
+
+NEWS.html: NEWS asciidoc.conf
+	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d article $<
 
 %.1.html : %.1.txt asciidoc.conf
 	$(ASCIIDOC) $(ASCIIDOC_FLAGS) -b xhtml11 -d manpage $<
