## tig 0.17

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,8 @@
 LDLIBS ?= -lcurses
 CFLAGS ?= -Wall -O2
 DFLAGS	= -g -DDEBUG -Werror -O0
-PROGS	= tig
+PROGS	= tig test-graph
+SOURCE	= tig.c tig.h io.c io.h graph.c graph.h
 TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS TODO
 MANDOC	= tig.1 tigrc.5 tigmanual.7
 HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
@@ -143,13 +144,17 @@
 	rpmbuild -ta $(TARNAME).tar.gz
 
 configure: configure.ac acinclude.m4
-	$(AUTORECONF) -v
+	$(AUTORECONF) -v -I contrib
 
 .PHONY: all all-debug doc doc-man doc-html install install-doc \
 	install-doc-man install-doc-html clean spell-check dist rpm
 
-tig.o: tig.c
-tig: tig.o
+io.o: io.c io.h tig.h
+graph.o: tig.h
+tig.o: tig.c tig.h io.h
+tig: tig.o io.o graph.o
+test-graph.o: test-graph.c io.h tig.h graph.h
+test-graph: io.o graph.o
 
 tig.spec: contrib/tig.spec.in
 	sed -e 's/@@VERSION@@/$(RPM_VERSION)/g' \
