## tig 1.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
 ## Makefile for tig
+
+# The last tagged version. Can be overridden either by the version from
+# git or from the value of the DIST_VERSION environment variable.
+VERSION	= 1.0
 
 all:
 
@@ -13,14 +17,10 @@
 mandir ?= $(datarootdir)/man
 # DESTDIR=
 
-# Get version either via git or from VERSION file. Allow either
-# to be overwritten by setting DIST_VERSION on the command line.
 ifneq (,$(wildcard .git))
 GITDESC	= $(subst tig-,,$(shell git describe))
 WTDIRTY	= $(if $(shell git diff-index HEAD 2>/dev/null),-dirty)
 VERSION	= $(GITDESC)$(WTDIRTY)
-else
-VERSION	= $(shell test -f VERSION && cat VERSION || echo "unknown-version")
 endif
 ifdef DIST_VERSION
 VERSION = $(DIST_VERSION)
@@ -35,9 +35,10 @@
 LDLIBS ?= -lcurses
 CFLAGS ?= -Wall -O2
 DFLAGS	= -g -DDEBUG -Werror -O0
-PROGS	= tig test-graph
+PROGS	= tig
+TESTS	= test-graph
 SOURCE	= tig.c tig.h io.c io.h graph.c graph.h
-TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS TODO
+TXTDOC	= tig.1.txt tigrc.5.txt manual.txt NEWS README INSTALL BUGS
 MANDOC	= tig.1 tigrc.5 tigmanual.7
 HTMLDOC = tig.1.html tigrc.5.html manual.html README.html NEWS.html
 ALLDOC	= $(MANDOC) $(HTMLDOC) manual.html-chunked manual.pdf
@@ -59,8 +60,8 @@
 XMLTO ?= xmlto
 DOCBOOK2PDF ?= docbook2pdf
 
-all: $(PROGS)
-all-debug: $(PROGS)
+all: $(PROGS) $(TESTS)
+all-debug: $(PROGS) $(TESTS)
 all-debug: CFLAGS += $(DFLAGS)
 doc: $(ALLDOC)
 doc-man: $(MANDOC)
@@ -113,7 +114,7 @@
 
 clean:
 	$(RM) -r $(TARNAME) *.spec tig-*.tar.gz tig-*.tar.gz.md5
-	$(RM) $(PROGS) core *.o *.xml
+	$(RM) $(PROGS) $(TESTS) core *.o *.xml
 
 distclean: clean
 	$(RM) -r manual.html-chunked autom4te.cache
@@ -131,10 +132,10 @@
 
 dist: configure tig.spec
 	@mkdir -p $(TARNAME) && \
-	cp tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
-	echo $(VERSION) > $(TARNAME)/VERSION
+	cp Makefile tig.spec configure config.h.in aclocal.m4 $(TARNAME) && \
+	sed -i "s/VERSION\s=\s[0-9]\+[.][0-9]\+/VERSION	= $(VERSION)/" $(TARNAME)/Makefile
 	git archive --format=tar --prefix=$(TARNAME)/ HEAD | \
-	tar --delete $(TARNAME)/VERSION > $(TARNAME).tar && \
+	tar --delete $(TARNAME)/Makefile > $(TARNAME).tar && \
 	tar rf $(TARNAME).tar `find $(TARNAME)/*` && \
 	gzip -f -9 $(TARNAME).tar && \
 	md5sum $(TARNAME).tar.gz > $(TARNAME).tar.gz.md5
@@ -150,9 +151,10 @@
 	install-doc-man install-doc-html clean spell-check dist rpm
 
 io.o: io.c io.h tig.h
-graph.o: tig.h
-tig.o: tig.c tig.h io.h
-tig: tig.o io.o graph.o
+graph.o: graph.c graph.h tig.h
+refs.o: refs.c refs.h tig.h
+tig.o: tig.c tig.h graph.h io.h refs.h git.h
+tig: tig.o io.o graph.o refs.o
 test-graph.o: test-graph.c io.h tig.h graph.h
 test-graph: io.o graph.o
 
@@ -164,8 +166,8 @@
 manual.toc: manual.txt
 	sed -n '/^\[\[/,/\(---\|~~~\)/p' < $< | while read line; do \
 		case "$$line" in \
-		"-----"*)  echo ". <<$$ref>>"; ref= ;; \
-		"~~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
+		"----"*)  echo ". <<$$ref>>"; ref= ;; \
+		"~~~~"*)  echo "- <<$$ref>>"; ref= ;; \
 		"[["*"]]") ref="$$line" ;; \
 		*)	   ref="$$ref, $$line" ;; \
 		esac; done | sed 's/\[\[\(.*\)\]\]/\1/' > $@
