=== debian/changelog ===
tig (1.0-2) unstable; urgency=low

  * debian/patches:
    - Added bts680442-broken-graph.patch -- upstream patch fixing a regression
      breaking the graph when path spec is specified; thanks to Simon Paillard
      for reporting this (Closes: #680442).
  * debian/source/format:
    - Change to '3.0 (quilt)' format in order to apply the patch.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 15 Jul 2012 11:42:29 +0200

tig (1.0-1) unstable; urgency=low

  * New upstream release; thanks to Salvatore Bonaccorso and Romain Francoise
    for reporting this (Closes: #656810).
    - Fixed substitution of %(xxx) in prompt commands; thanks to Daniel T Chen
      for reporting this (Closes: #635546).
    - Fixed 'go to a line' feature; thanks to Christian Ohm for reporting this
      (Closes: #626124).
  * debian/rules:
    - Don't remove 'test-graph'; it is no longer installed by 'make install'.
    - Don't try to install TODO; it no longer exists.
    - Split build target into build-{arch,indep} as recommended by policy.
    - Enabled harding build flags (use dpkg-buildflags).
  * debian/control:
    - Updated standards-version to 3.9.3 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Thu, 17 May 2012 18:15:46 +0200

tig (0.17-1) unstable; urgency=low

  * New upstream release:
    - Fixed ncurses 2.8 issue causing tig to fail to start; thanks to Tarek
      Soliman for reporting this and RjY for pointing out the new upstream
      release (Closes: #617318).
    - Enabled revision graph rendering by default; thanks to Paul Wise for
      reporting this (Closes: #611876).
  * Uploading to unstable -- Squeeze has been released \o/
  * debian/rules:
    - (Again) pass -I/usr/include/ncursesw to CFLAGS; this is no longer
      handled by the configure script which now uses the third-party
      'AX_WITH_CURSES' macro.
    - Do not install 'test-graph' to the package.
    - Install 'NEWS' as upstream changelog, rather than as 'NEWS'.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 08 Mar 2011 14:43:17 +0100

tig (0.16.2-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed bts594549-pager-segfault -- included upstream.
  * debian/control, debian/rules:
    - No longer use dpatch.
  * Removed debian/README.source.
  * Uploading to experimental because of the Squeeze freeze.
  * debian/control:
    - Updated Standards-Version to 3.9.1 -- no changes.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 21 Sep 2010 21:57:26 +0200

tig (0.16-2) unstable; urgency=low

  * debian/patches:
    - Added bts594549-pager-segfault - upstream patch fixing a segfault when
      started in pager mode; thanks to Kumar Appaiah for reporting this and
      pointing out the upstream fix (Closes: #594549).
  * debian/control, debian/rules:
    - Build-depend on and use dpatch.
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/dpatch/README.source.gz.

 -- Sebastian Harl <tokkee@debian.org>  Fri, 03 Sep 2010 21:23:44 +0200

tig (0.16-1) unstable; urgency=low

  * New upstream release; thanks to Sedat Dilek for the pointer
    (Closes: #586560).
  * debian/control:
    - Updated versioned build-dep on asciidoc to versions >= 8.4 as documented
      in the upstream `INSTALL' file.
    - Updated standards-version to 3.8.4 -- no changes.
    - Added epoch to versioned dependency on git-core and added git (>=
      1:1.7.0.4-2~) as an alternative dependency, according to the rename of
      the package; thanks to Jonathan Nieder and Beat Bolli for reporting this
      (Closes: #568582).
    - Depend on ${misc:Depends}, as recommended by debhelper.

 -- Sebastian Harl <tokkee@debian.org>  Tue, 22 Jun 2010 22:51:20 +0200

tig (0.15-1) unstable; urgency=low

  * New upstream release (Closes: #557575):
    - Fixed blame view when cwd is not the repo root; thanks to Chris Lamb for
      reporting this (Closes: #540766).
  * debian/control:
    - No longer build-depend on git-core - this is not required by the build
      system any more.
    - Updated Standards-Version to 3.8.3 - no changes.
  * debian/patches:
    - Removed asciidoc-8.4.dpatch - included upstream.
  * Added debian/tig.doc-base.
    - … pointing to manual.html and manual.pdf.

 -- Sebastian Harl <tokkee@debian.org>  Mon, 23 Nov 2009 22:56:47 +0100

tig (0.14.1-2) unstable; urgency=low

  * debian/patches:
    - Added asciidoc-8.4.dpatch - upstream patch fixing build issues with
      asciidoc 8.4, thanks to Lucas Nussbaum for reporting this
      (Closes: #534046).
  * debian/control:
    - Updated standards-version to 3.8.2 - no changes.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 21 Jun 2009 18:36:46 +0200

tig (0.14.1-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable - Lenny has been released (Closes: #520636).
  * debian/control:
    - Moved tig from section "utils" to the newly added "vcs".
  * debian/patches:
    - Removed tigrc-example-fix.dpatch - included upstream.
    - Removed quoted-config-opts-fix.dpatch - included upstream.
  * debian/control:
    - Updated standards-version to 3.8.1 - no changes.

 -- Sebastian Harl <sh@tokkee.org>  Fri, 03 Apr 2009 18:07:18 +0200

tig (0.14-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Removed non-utf8-fix.dpatch - included upstream.
    - Removed tigrc-parsing-fix.dpatch - included upstream.
    - Removed mem-corruption-fix.dpatch - included upstream.
    - Added tigrc-example-fix.dpatch - upstream patch fixing an error in
      examples for the set command (Closes: #514990).
    - Added quoted-config-opts-fix.dpatch - backported upstream patch fixing
      the handling of quoted strings in the config file.

 -- Sebastian Harl <sh@tokkee.org>  Sat, 14 Feb 2009 13:59:03 +0100

tig (0.13-1) experimental; urgency=low

  * New upstream release (Closes: #513727).
  * debian/copyright: Use © instead of (C) to make lintian happy.
  * debian/patches:

