=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tig
#
# Written by Sebastian Harl <tokkee@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS  += -Wall -g -I/usr/include/ncursesw

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc \
		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	
	$(MAKE) all doc
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	
	$(MAKE) clean
	
	rm -f config.h config.log config.make config.status
	rm -rf manual.html-chunked/
	rm -f manual.pdf manual.html manual.toc
	rm -f tig.1 tig.1.html tigrc.5 tigrc.5.html
	rm -f NEWS.html README.html
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	$(MAKE) install install-doc DESTDIR=$(CURDIR)/debian/tig
	
	mkdir -p debian/tig/etc/bash_completion.d
	cp contrib/tig-completion.bash debian/tig/etc/bash_completion.d/tig
	chmod 644 debian/tig/etc/bash_completion.d/tig

binary-indep:
	# nothing to do here

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs BUGS manual.pdf
	dh_installexamples contrib/tigrc
	dh_link
	dh_strip
	dh_compress -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
