=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Harl <tokkee@debian.org>
 Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.14.6), libncursesw5-dev, asciidoc (>= 8.4), xmlto, docbook-utils
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://jonas.nitro.dk/tig/
 Vcs-Git: git://git.tokkee.org/pkg-tig.git
 Vcs-Browser: http://git.tokkee.org/?p=pkg-tig.git
