=== debian/rules ===
--- 
+++ 
@@ -52,10 +52,11 @@
 	$(MAKE) clean
 	
 	rm -f config.h config.log config.make config.status
-	rm -rf manual.html-chunked/
-	rm -f manual.pdf manual.html manual.toc
-	rm -f tig.1 tig.1.html tigrc.5 tigrc.5.html
-	rm -f NEWS.html README.html
+	rm -rf doc/manual.html-chunked/
+	rm -f doc/manual.pdf doc/manual.html doc/manual.toc
+	rm -f doc/tigmanual.7
+	rm -f doc/tig.1 doc/tig.1.html doc/tigrc.5 doc/tigrc.5.html
+	rm -f INSTALL.html NEWS.html README.html
 	
 	dh_clean 
 
@@ -66,6 +67,9 @@
 	dh_installdirs
 	
 	$(MAKE) install install-doc DESTDIR=$(CURDIR)/debian/tig
+	# don't ship install instructions; README only links to them
+	rm -f debian/tig/usr/share/doc/tig/INSTALL.html \
+		debian/tig/usr/share/doc/tig/README.html
 	
 	mkdir -p debian/tig/etc/bash_completion.d
 	cp contrib/tig-completion.bash debian/tig/etc/bash_completion.d/tig
@@ -78,7 +82,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs NEWS
-	dh_installdocs BUGS manual.pdf
+	dh_installdocs BUGS doc/manual.pdf
 	dh_installexamples contrib/tigrc
 	dh_link
 	dh_strip
