=== debian/watch ===
version=3
http://jonas.nitro.dk/tig/releases/ tig-(.*)\.tar\.gz
